org.apache.sysds.runtime.instructions.spark.functions

## Class CopyFrameBlockPairFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.CopyFrameBlockPairFunction

- All Implemented Interfaces:
    Serializable, org.apache.spark.api.java.function.PairFunction<scala.Tuple2<org.apache.hadoop.io.LongWritable,FrameBlock>,Long,FrameBlock>

      public class CopyFrameBlockPairFunction
      extends Object
      implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<org.apache.hadoop.io.LongWritable,FrameBlock>,Long,FrameBlock>

  General purpose copy function for binary block rdds. This function can be used in mapToPair (copy frame indexes and blocks). It supports both deep and shallow copies of key/value pairs.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CopyFrameBlockPairFunction()`
    `CopyFrameBlockPairFunction(boolean deepCopy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `scala.Tuple2<Long,FrameBlock>` | `call(scala.Tuple2<org.apache.hadoop.io.LongWritable,FrameBlock> arg0)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CopyFrameBlockPairFunction

          public CopyFrameBlockPairFunction()

    - #### CopyFrameBlockPairFunction

          public CopyFrameBlockPairFunction(boolean deepCopy)

  - ### Method Detail

    - #### call

          public scala.Tuple2<Long,FrameBlock> call(scala.Tuple2<org.apache.hadoop.io.LongWritable,FrameBlock> arg0)
                                             throws Exception

      Specified by:
        `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<org.apache.hadoop.io.LongWritable,FrameBlock>,Long,FrameBlock>`
      Throws:
        `Exception`

Copyright © 2020 The Apache Software Foundation. All rights reserved.